# -*- coding: iso-8859-15 -*-


# Glasnost
# By: Odile Bnassy <obenassy@entrouvert.com>
#     Romain Chantereau <rchantereau@entrouvert.com>
#     Nicolas Clapis <nclapies@easter-eggs.org>
#     Pierre-Antoine Dejace <padejace@entrouvert.be>
#     Thierry Dulieu <tdulieu@easter-eggs.com>
#     Florent Monnier <monnier@codelutin.com>
#     Cdric Musso <cmusso@easter-eggs.org>
#     Frdric Pters <fpeters@entrouvert.be>
#     Benjamin Poussin <poussin@codelutin.com>
#     Emmanuel Raviart <eraviart@entrouvert.com>
#     Sbastien Rgnier <regnier@codelutin.com>
#     Emmanuel Saracco <esaracco@easter-eggs.com>
#
# Copyright (C) 2000, 2001 Easter-eggs & Emmanuel Raviart
# Copyright (C) 2002 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Frdric Pters, Benjamin Poussin, Emmanuel Raviart,
#     Emmanuel Saracco & Thridion
# Copyright (C) 2003 Odile Bnassy, Romain Chantereau, Nicolas Clapis,
#     Code Lutin, Pierre-Antoine Dejace, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Florent Monnier, Cdric Musso, Ouvaton, Frdric Pters,
#     Benjamin Poussin, Rodolphe Quideville, Emmanuel Raviart, Sbastien
#     Rgnier, Emmanuel Saracco, Thridion & Vecam
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


__doc__ = """Glasnost Scripting Tools"""

__version__ = '$Revision$'[11:-2]

import ConfigParser
import os
import sys

glasnostPythonDir = '/usr/local/lib/glasnost-devel' # changed on make install
sys.path.insert(0, glasnostPythonDir)

import glasnost.common.context as context

from glasnost.common.tools import *
import glasnost.common.faults as faults
from glasnost.proxy.DispatcherProxy import getRegisteredRoles
from glasnost.proxy.tools import *
import glasnost.common.tools_new as commonTools

def init(dispatcherId, login = 1):
    context.push(
            applicationId = 'glasnost://scripts/scriptingTools',
            dispatcherId = dispatcherId,
            dispatcherPort = 8000)
    
    try:
        dispatcherIds = getRegisteredDispatcherIds()
    except:
        dispatcherIds = []

    context.setVar('dispatcherId', dispatcherId)
    
    context.setVar('knownRoles', getRegisteredRoles(dispatcherId))

    if not login:
        return

    host = dispatcherId[11:]
    config = ConfigParser.ConfigParser()
    config.readfp( open('%s/.glasnostrc' % os.environ['HOME']))
    username = config.get(host, 'username')
    password = config.get(host, 'password')
    passwordAccountsProxy = getProxyForServerRole('passwordaccounts')
    userToken, authenticationMethod = \
            passwordAccountsProxy.checkObjectAuthentication(username, password)
    context.setVar('userToken', userToken)
    #userId = authenticationProxy.getUserId()
    #context.setVar('userId', userId)

