# -*- coding: iso-8859-15 -*-


# Glasnost
# By: Odile Bnassy <obenassy@entrouvert.com>
#     Romain Chantereau <rchantereau@entrouvert.com>
#     Nicolas Clapis <nclapies@easter-eggs.org>
#     Pierre-Antoine Dejace <padejace@entrouvert.be>
#     Thierry Dulieu <tdulieu@easter-eggs.com>
#     Florent Monnier <monnier@codelutin.com>
#     Cdric Musso <cmusso@easter-eggs.org>
#     Frdric Pters <fpeters@entrouvert.be>
#     Benjamin Poussin <poussin@codelutin.com>
#     Emmanuel Raviart <eraviart@entrouvert.com>
#     Sbastien Rgnier <regnier@codelutin.com>
#     Emmanuel Saracco <esaracco@easter-eggs.com>
#
# Copyright (C) 2000, 2001 Easter-eggs & Emmanuel Raviart
# Copyright (C) 2002 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Frdric Pters, Benjamin Poussin, Emmanuel Raviart,
#     Emmanuel Saracco & Thridion
# Copyright (C) 2003 Odile Bnassy, Romain Chantereau, Nicolas Clapis,
#     Code Lutin, Pierre-Antoine Dejace, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Florent Monnier, Cdric Musso, Ouvaton, Frdric Pters,
#     Benjamin Poussin, Rodolphe Quideville, Emmanuel Raviart, Sbastien
#     Rgnier, Emmanuel Saracco, Thridion & Vecam
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


__doc__ = """Glasnost NCards Proxy"""

__version__ = '$Revision$'[11:-2]


import new

from glasnost.common.NCardsCommon import *

from DispatcherProxy import callServer, getApplicationToken
from ObjectsProxy import register, AdminMixin, ObjectProxyMixin, ObjectsProxy
from tools import *


class AdminNCards(AdminMixin, AdminNCardsCommon):
    pass
register(AdminNCards)


class NCard(ObjectProxyMixin, NCardCommon):
    pass
register(NCard)


class NCardsObjectsProxy(ObjectsProxy):
    def getObjectEmail(self, objectId):
        userToken = context.getVar('userToken', default = '')
        return callServer(
                commonTools.extractServerId(objectId),
                'getObjectEmail',
                [commonTools.extractServerId(objectId), getApplicationToken(),
                 userToken, objectId])

class NCardsProxy(NCardsCommonMixin, ObjectsProxy):
    def getObjectIdByRole(self, role, serverId = None):
        userToken = context.getVar('userToken', default = '')
        serverId = self.getServerId(serverId = serverId)
        return callServer(
                serverId,
                'getObjectIdByRole',
                [serverId, getApplicationToken(), userToken, role])

    def getObjectByRole(self, role, serverId = None):
        objectId = self.getObjectIdByRole(role, serverId = serverId)
        return self.getObject(objectId)


def getProxyClass(ncard):
    commonMixinClass = getCommonMixinClass(ncard)

    objectClass = new.classobj(
            commonMixinClass.objectClass.__name__,
            (ObjectProxyMixin, commonMixinClass.objectClass),
            {})
    register(objectClass)

    objectAdminClass = new.classobj(
            commonMixinClass.adminClass.__name__,
            (AdminMixin, commonMixinClass.adminClass),
            {})
    register(objectAdminClass)

    objectsClass = new.classobj(
            commonMixinClass.__name__,
            (commonMixinClass, NCardsObjectsProxy),
            {'adminClass': objectAdminClass,
             'objectClass': objectClass})

    return objectsClass

