# -*- coding: iso-8859-15 -*-


# Glasnost
# By: Odile Bnassy <obenassy@entrouvert.com>
#     Romain Chantereau <rchantereau@entrouvert.com>
#     Nicolas Clapis <nclapies@easter-eggs.org>
#     Pierre-Antoine Dejace <padejace@entrouvert.be>
#     Thierry Dulieu <tdulieu@easter-eggs.com>
#     Florent Monnier <monnier@codelutin.com>
#     Cdric Musso <cmusso@easter-eggs.org>
#     Frdric Pters <fpeters@entrouvert.be>
#     Benjamin Poussin <poussin@codelutin.com>
#     Emmanuel Raviart <eraviart@entrouvert.com>
#     Sbastien Rgnier <regnier@codelutin.com>
#     Emmanuel Saracco <esaracco@easter-eggs.com>
#
# Copyright (C) 2000, 2001 Easter-eggs & Emmanuel Raviart
# Copyright (C) 2002 Odile Bnassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Frdric Pters, Benjamin Poussin, Emmanuel Raviart,
#     Emmanuel Saracco & Thridion
# Copyright (C) 2003 Odile Bnassy, Romain Chantereau, Nicolas Clapis,
#     Code Lutin, Pierre-Antoine Dejace, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Florent Monnier, Cdric Musso, Ouvaton, Frdric Pters,
#     Benjamin Poussin, Rodolphe Quideville, Emmanuel Raviart, Sbastien
#     Rgnier, Emmanuel Saracco, Thridion & Vecam
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


__doc__ = """Glasnost Geography Labels"""

__version__ = '$Revision$'[11:-2]



countryLabels = {
    'af' : N_("Afghanistan"),
    'al' : N_("Albania"),
    'dz' : N_("Algeria"),
    'as' : N_("American Samoa"),
    'ad' : N_("Andorra"),
    'ao' : N_("Angola"),
    'ai' : N_("Anguilla"),
    'aq' : N_("Antarctica"),
    'ag' : N_("Antigua and Barbuda"),
    'ar' : N_("Argentina"),
    'am' : N_("Armenia"),
    'aw' : N_("Aruba"),
    'au' : N_("Australia"),
    'at' : N_("Austria"),
    'az' : N_("Azerbaijan"),
    'bs' : N_("Bahamas"),
    'bh' : N_("Bahrain"),
    'bd' : N_("Bangladesh"),
    'bb' : N_("Barbados"),
    'by' : N_("Belarus"),
    'be' : N_("Belgium"),
    'bz' : N_("Belize"),
    'bj' : N_("Benin"),
    'bm' : N_("Bermuda"),
    'bt' : N_("Bhutan"),
    'bo' : N_("Bolivia"),
    'ba' : N_("Bosnia And Herzegovina"),
    'bw' : N_("Botswana"),
    'bv' : N_("Bouvet Island"),
    'br' : N_("Brazil"),
    'io' : N_("British Indian Ocean Territory"),
    'bn' : N_("Brunei Darussalam"),
    'bg' : N_("Bulgaria"),
    'bf' : N_("Burkina Faso"),
    'bi' : N_("Burundi"),
    'kh' : N_("Cambodia"),
    'cm' : N_("Cameroon"),
    'ca' : N_("Canada"),
    'cv' : N_("Cape Verde"),
    'ky' : N_("Cayman Islands"),
    'cf' : N_("Central African Republic"),
    'td' : N_("Chad"),
    'cl' : N_("Chile"),
    'cn' : N_("China"),
    'cx' : N_("Christmas Island"),
    'cc' : N_("Cocos (Keeling) Islands"),
    'co' : N_("Colombia"),
    'km' : N_("Comoros"),
    'cg' : N_("Congo"),
    'cd' : N_("Congo; The Democratic Republic Of The"),
    'ck' : N_("Cook Islands"),
    'cr' : N_("Costa Rica"),
    'ci' : N_("Cote D'Ivoire"),
    'hr' : N_("Croatia"),
    'cu' : N_("Cuba"),
    'cy' : N_("Cyprus"),
    'cz' : N_("Czech Republic"),
    'dk' : N_("Denmark"),
    'dj' : N_("Djibouti"),
    'dm' : N_("Dominica"),
    'do' : N_("Dominican Republic"),
    'ec' : N_("Ecuador"),
    'eg' : N_("Egypt"),
    'sv' : N_("El Salvador"),
    'gq' : N_("Equatorial Guinea"),
    'er' : N_("Eritrea"),
    'ee' : N_("Estonia"),
    'et' : N_("Ethiopia"),
    'fk' : N_("Falkland Islands (Malvinas)"),
    'fo' : N_("Faroe Islands"),
    'fj' : N_("Fiji"),
    'fi' : N_("Finland"),
    'fr' : N_("France"),
    'gf' : N_("French Guiana"),
    'pf' : N_("French Polynesia"),
    'tf' : N_("French Southern Territories"),
    'ga' : N_("Gabon"),
    'gm' : N_("Gambia"),
    'ge' : N_("Georgia"),
    'de' : N_("Germany"),
    'gh' : N_("Ghana"),
    'gi' : N_("Gibraltar"),
    'gr' : N_("Greece"),
    'gl' : N_("Greenland"),
    'gd' : N_("Grenada"),
    'gp' : N_("Guadeloupe"),
    'gu' : N_("Guam"),
    'gt' : N_("Guatemala"),
    'gn' : N_("Guinea"),
    'gw' : N_("Guinea-Bissau"),
    'gy' : N_("Guyana"),
    'ht' : N_("Haiti"),
    'hm' : N_("Heard Island And Mcdonald Islands"),
    'va' : N_("Holy See (Vatican City State)"),
    'hn' : N_("Honduras"),
    'hk' : N_("Hong kong"),
    'hu' : N_("Hungary"),
    'is' : N_("Iceland"),
    'in' : N_("India"),
    'id' : N_("Indonesia"),
    'ir' : N_("Iran; Islamic Republic Of"),
    'iq' : N_("Iraq"),
    'ie' : N_("Ireland"),
    'il' : N_("Israel"),
    'it' : N_("Italy"),
    'jm' : N_("Jamaica"),
    'jp' : N_("Japan"),
    'jo' : N_("Jordan"),
    'kz' : N_("Kazakhstan"),
    'ke' : N_("Kenya"),
    'ki' : N_("Kiribati"),
    'kp' : N_("Korea; Democratic People's Republic Of"),
    'kr' : N_("Korea; Republic Of"),
    'kw' : N_("Kuwait"),
    'kg' : N_("Kyrgyzstan"),
    'la' : N_("Lao People's Democratic Republic"),
    'lv' : N_("Latvia"),
    'lb' : N_("Lebanon"),
    'ls' : N_("Lesotho"),
    'lr' : N_("Liberia"),
    'ly' : N_("Libyan Arab Jamahiriya"),
    'li' : N_("Liechtenstein"),
    'lt' : N_("Lithuania"),
    'lu' : N_("Luxembourg"),
    'mo' : N_("Macao"),
    'mk' : N_("Macedonia, The Former Yugoslav Republic Of"),
    'mg' : N_("Madagascar"),
    'mw' : N_("Malawi"),
    'my' : N_("Malaysia"),
    'mv' : N_("Maldives"),
    'ml' : N_("Mali"),
    'mt' : N_("Malta"),
    'mh' : N_("Marshall Islands"),
    'mq' : N_("Martinique"),
    'mr' : N_("Mauritania"),
    'mu' : N_("Mauritius"),
    'yt' : N_("Mayotte"),
    'mx' : N_("Mexico"),
    'fm' : N_("Micronesia; Federated States Of"),
    'md' : N_("Moldova; Republic Of"),
    'mc' : N_("Monaco"),
    'mn' : N_("Mongolia"),
    'ms' : N_("Montserrat"),
    'ma' : N_("Morocco"),
    'mz' : N_("Mozambique"),
    'mm' : N_("Myanmar"),
    'na' : N_("Namibia"),
    'nr' : N_("Nauru"),
    'np' : N_("Nepal"),
    'nl' : N_("Netherlands"),
    'an' : N_("Netherlands Antilles"),
    'nc' : N_("New Caledonia"),
    'nz' : N_("New Zealand"),
    'ni' : N_("Nicaragua"),
    'ne' : N_("Niger"),
    'ng' : N_("Nigeria"),
    'nu' : N_("Niue"),
    'nf' : N_("Norfolk island"),
    'mp' : N_("Northern Mariana Islands"),
    'no' : N_("Norway"),
    'om' : N_("Oman"),
    'pk' : N_("Pakistan"),
    'pw' : N_("Palau"),
    'ps' : N_("Palestinian Territory; Occupied"),
    'pa' : N_("Panama"),
    'pg' : N_("Papua New Guinea"),
    'py' : N_("Paraguay"),
    'pe' : N_("Peru"),
    'ph' : N_("Philippines"),
    'pn' : N_("Pitcairn"),
    'pl' : N_("Poland"),
    'pt' : N_("Portugal"),
    'pr' : N_("Puerto Rico"),
    'qa' : N_("Qatar"),
    're' : N_("Reunion"),
    'ro' : N_("Romania"),
    'ru' : N_("Russian Federation"),
    'rw' : N_("Rwanda"),
    'sh' : N_("Saint Helena"),
    'kn' : N_("Saint Kitts and Nevis"),
    'lc' : N_("Saint Lucia"),
    'pm' : N_("Saint Pierre and Miquelon"),
    'vc' : N_("Saint Vincent and the Grenadines"),
    'ws' : N_("Samoa"),
    'sm' : N_("San Marino"),
    'st' : N_("Sao Tome and Principe"),
    'sa' : N_("Saudi Arabia"),
    'sn' : N_("Senegal"),
    'cs' : N_("Serbia and Montenegro"),
    'sc' : N_("Seychelles"),
    'sl' : N_("Sierra Leone"),
    'sg' : N_("Singapore"),
    'sk' : N_("Slovakia"),
    'si' : N_("Slovenia"),
    'sb' : N_("Solomon Islands"),
    'so' : N_("Somalia"),
    'za' : N_("South Africa"),
    'gs' : N_("South Georgia And The South Sandwich Islands"),
    'es' : N_("Spain"),
    'lk' : N_("Sri Lanka"),
    'sd' : N_("Sudan"),
    'sr' : N_("Suriname"),
    'sj' : N_("Svalbard And Jan Mayen"),
    'sz' : N_("Swaziland"),
    'se' : N_("Sweden"),
    'ch' : N_("Switzerland"),
    'sy' : N_("Syrian Arab Republic"),
    'tw' : N_("Taiwan; Province Of China"),
    'tj' : N_("Tajikistan"),
    'tz' : N_("Tanzania; United Republic Of"),
    'th' : N_("Thailand"),
    'tl' : N_("Timor-Leste"),
    'tg' : N_("Togo"),
    'tk' : N_("Tokelau"),
    'to' : N_("Tonga"),
    'tt' : N_("Trinidad And Tobago"),
    'tn' : N_("Tunisia"),
    'tr' : N_("Turkey"),
    'tm' : N_("Turkmenistan"),
    'tc' : N_("Turks And Caicos Islands"),
    'tv' : N_("Tuvalu"),
    'ug' : N_("Uganda"),
    'ua' : N_("Ukraine"),
    'ae' : N_("United Arab Emirates"),
    'gb' : N_("United Kingdom"),
    'us' : N_("United States"),
    'um' : N_("United States Minor Outlying Islands"),
    'uy' : N_("Uruguay"),
    'uz' : N_("Uzbekistan"),
    'vu' : N_("Vanuatu"),
    've' : N_("Venezuela"),
    'vn' : N_("Viet nam"),
    'vg' : N_("Virgin Islands; British"),
    'vi' : N_("Virgin Islands; U.S."),
    'wf' : N_("Wallis And Futuna"),
    'eh' : N_("Western Sahara"),
    'ye' : N_("Yemen"),
    'zm' : N_("Zambia"),
    'zw' : N_("Zimbabwe")
    }

frenchRegionLabels = {
    'alsace' : 'Alsace',
    'aquitaine' : 'Aquitaine',
    'auvergne' : 'Auvergne',
    'bourgogne' : 'Bourgogne',
    'bretagne' : 'Bretagne',
    'centre' : 'Centre',
    'champagneardenne' : 'Champagne-Ardenne',
    'corse' : 'Corse',
    'domtom' : 'DOM-TOM',
    'franchecomte' : 'Franche-Comte',
    'iledefrance' : 'Ile de France',
    'languedocroussillon' : 'Languedoc-Roussillon',
    'limousin' : 'Limousin',
    'lorraine' : 'Lorraine',
    'midipyrenees' : 'Midi-Pyrenees',
    'nordpasdecalais' : 'Nord-Pas de Calais',
    'haute-normandie' : 'Haute Normandie',
    'basse-normandie' : 'Basse Normandie',
    'paysdelaloire' : 'Pays de la Loire',
    'picardie' : 'Picardie',
    'poitoucharentes' : 'Poitou-Charentes',
    'paca' : 'Provence-Alpes-Cote d\'Azur',
    'rhonealpes' : 'Rhone-Alpes',
    }

